Debian Bug report logs - #592998
libsdl-perl: new version 2.511 on cpan

version graph

Package: libsdl-perl; Maintainer for libsdl-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libsdl-perl is src:libsdl-perl.

Reported by: Kevin Ryde <user42@zip.com.au>

Date: Sat, 14 Aug 2010 23:36:12 UTC

Severity: wishlist

Tags: fixed

Found in version sdlperl/2.2.5-1

Fixed in version libsdl-perl/2.536-1

Done: Dominique Dumont <dod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#592998; Package libsdl-perl. (Sat, 14 Aug 2010 23:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Ryde <user42@zip.com.au>:
New Bug report received and forwarded. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Sat, 14 Aug 2010 23:36:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kevin Ryde <user42@zip.com.au>
To: submit@bugs.debian.org
Subject: libsdl-perl: new version 2.511 on cpan
Date: Sun, 15 Aug 2010 09:33:58 +1000
Package: libsdl-perl
Version: 2.2.5-1
Severity: wishlist

There's a new SDL 2.511 on cpan.  It'd be good if that was packaged.
I struck Games::Zumbis apparently needing something newer than 2.2
(though without declaring that in its makefile).


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-486
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages libsdl-perl depends on:
ii  libc6              2.11.1-3              Embedded GNU C Library: Shared lib
ii  libgcc1            1:4.4.4-6             GCC support library
ii  libgl1-mesa-glx [l 7.7.1-4               A free implementation of the OpenG
ii  libglu1-mesa [libg 7.7.1-4               The OpenGL utility library (GLU)
ii  libjpeg62          6b1-1                 The Independent JPEG Group's JPEG 
ii  libpng12-0         1.2.44-1              PNG library - runtime
ii  libsdl-gfx1.2-4    2.0.20-1              drawing and graphical effects exte
ii  libsdl-image1.2    1.2.10-2+b1           image loading library for Simple D
ii  libsdl-mixer1.2    1.2.8-6+b1            mixer library for Simple DirectMed
ii  libsdl-net1.2      1.2.7-2               network library for Simple DirectM
ii  libsdl-ttf2.0-0    2.0.9-1               ttf library for Simple DirectMedia
ii  libsdl1.2debian    1.2.14-6              Simple DirectMedia Layer
ii  libsmpeg0          0.4.5+cvs20030824-2.2 SDL MPEG Player Library - shared l
ii  libstdc++6         4.4.4-6               The GNU Standard C++ Library v3
ii  perl               5.10.1-14             Larry Wall's Practical Extraction 
ii  perl-base [perlapi 5.10.1-14             minimal Perl system

libsdl-perl recommends no packages.

Versions of packages libsdl-perl suggests:
ii  ttf-freefont                  20090104-7 Freefont Serif, Sans and Mono True

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#592998; Package libsdl-perl. (Thu, 03 Mar 2011 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to grin <grin@grin.hu>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Thu, 03 Mar 2011 11:15:02 GMT) Full text and rfc822 format available.

Message #10 received at 592998@bugs.debian.org (full text, mbox):

From: grin <grin@grin.hu>
To: 592998@bugs.debian.org
Subject: is there any reason behind not to package recent versions?
Date: Thu, 3 Mar 2011 11:56:19 +0100
Current release is 2.531.

Is there any reason not to have more recent versions packaged?
The current one is from 2009, aged a bit. For example it's completely
missing SDLx which would definitely make our lives much prettier.

A reply would be appreciated, either by telling "no time" or other reasons.

Thanks,
Peter




Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#592998; Package libsdl-perl. (Fri, 24 Jun 2011 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi.dumont@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Fri, 24 Jun 2011 17:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 592998@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi.dumont@free.fr>
To: 592998@bugs.debian.org
Cc: pkg-sdl-maintainers@lists.alioth.debian.org, Nicolas Thomas <thomnico@googlemail.com>, Xavier Oswald <xoswald@debian.org>
Subject: ok. I'm willing to update sdl-perl package
Date: Fri, 24 Jun 2011 19:39:19 +0200
[Message part 1 (text/plain, inline)]
Hello

I need a more recent sdl perl for a project.

So I can take over this package if current maintainer(s) (hi Ryan ! :-) ) give 
me their blessing.

But don't hold your breath, my plate is quite full these days... :-p

All the best 

Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Kevin Ryde <user42@zip.com.au>:
Bug#592998. (Wed, 28 Sep 2011 09:04:45 GMT) Full text and rfc822 format available.

Message #18 received at 592998-submitter@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 592998@bugs.debian.org
Cc: 592998-submitter@bugs.debian.org
Subject: libsdl-perl 2.533 available in experimental
Date: Wed, 28 Sep 2011 11:02:51 +0200
[Message part 1 (text/plain, inline)]
Hello

libsdl-perl 2.533 available in experimental.

Since this new version breaks compatibility, I'll upload it to unstable once 
the packages depending on it are fixed (or removed ...).

All the best

Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#592998; Package libsdl-perl. (Wed, 28 Sep 2011 09:05:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 28 Sep 2011 09:05:08 GMT) Full text and rfc822 format available.

Added tag(s) fixed. Request was from Dominique Dumont <dod@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 09:05:37 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.536-1, send any further explanations to Kevin Ryde <user42@zip.com.au> Request was from Dominique Dumont <dod@debian.org> to control@bugs.debian.org. (Fri, 03 Feb 2012 22:00:07 GMT) Full text and rfc822 format available.

Message sent on to Kevin Ryde <user42@zip.com.au>:
Bug#592998. (Fri, 03 Feb 2012 22:00:10 GMT) Full text and rfc822 format available.

Message #30 received at 592998-submitter@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: control@bugs.debian.org
Cc: 592998-submitter@bugs.debian.org
Subject: closing 592998
Date: Fri, 03 Feb 2012 22:55:31 +0100
close 592998 2.536-1
thanks

lidsdl-perl 2.536 was released recently.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Mar 2012 07:41:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:05:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.